{include="header"}

{if="$fsc->familia"}
<script type="text/javascript">
   $(document).ready(function() {
      $('[data-toggle="popover"]').popover({
         placement : 'bottom',
         trigger : 'hover',
         content: function() {
            return '<div class="thumbnail" style="margin: 0px;"><img src="'+$(this).data('img') + '" /></a>';
         }
      });
      $("#b_eliminar_familia").click(function(event) {
         event.preventDefault();
         if( confirm("¿Estas seguro de que deseas eliminar esta Categoria?") )
         {
            window.location.href = 'index.php?page=ventas_familias&delete={function="urlencode($fsc->familia->codfamilia)"}';
         }
      });
   });
</script>

<form action="{$fsc->url()}" method="post" class="form">
   <input type="hidden" name="cod" value="{$fsc->familia->codfamilia}"/>
   <div class="container-fluid">
      <div class="row" style="margin-bottom: 10px;">
         <div class="col-sm-7">
            <div class="btn-group">
               {if="$fsc->madre"}
               <a class="btn btn-sm btn-default" href="{$fsc->madre->url()}" title="{$fsc->madre->descripcion}">
                  <span class="glyphicon glyphicon-arrow-left"></span>
                  <span class="hidden-xs">&nbsp; Madre</span>
               </a>
               {else}
               <a class="btn btn-sm btn-default" href="index.php?page=ventas_familias">
                  <span class="glyphicon glyphicon-arrow-left"></span>
                  <span class="hidden-xs">&nbsp; Categorias</span>
               </a>
               {/if}
               <a class="btn btn-sm btn-default" href="{$fsc->url()}" title="Recargar la página">
                  <span class="glyphicon glyphicon-refresh"></span>
               </a>
            </div>
            <div class="btn-group">
               <button type="button" class="btn btn-sm btn-default dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                  Subfamilias <span class="caret"></span>
               </button>
               <ul class="dropdown-menu" role="menu">
                  {loop="$fsc->familia->hijas()"}
                  <li><a href="{$value->url()}">{$value->descripcion}</a></li>
                  {else}
                  <li><a href="#">Ninguna</a></li>
                  {/loop}
                  <li role="presentation" class="divider"></li>
                  <li><a href="index.php?page=ventas_familias&madre={$fsc->familia->codfamilia}">Nueva subCategoria</a></li>
                  {if="$fsc->familia->madre"}
                  <li><a href="index.php?page=ventas_familias&madre={$fsc->familia->madre}">Nueva Categoria extra</a></li>
                  {/if}
               </ul>
            </div>
            <div class="btn-group">
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
               {/if}
            {/loop}
            </div>
         </div>
         <div class="col-sm-5 text-right">
            <div class="btn-group">
               <button type="button" class="btn btn-sm btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  <span class="glyphicon glyphicon-plus"></span>
                  <span class="caret"></span>
               </button>
               <ul class="dropdown-menu dropdown-menu-right">
                  <li><a href="index.php?page=ventas_familias#nueva">Nueva Categoria</a></li>
                  <li><a href="index.php?page=ventas_familias&madre={$fsc->familia->codfamilia}">Nueva subCategoria</a></li>
                  {if="$fsc->familia->madre"}
                  <li><a href="index.php?page=ventas_familias&madre={$fsc->familia->madre}">Nueva Categoria extra</a></li>
                  {/if}
                  <li role="separator" class="divider"></li>
                  <li><a href="index.php?page=ventas_articulos&b_codfamilia={$fsc->familia->codfamilia}#nuevo">Nuevo artículo</a></li>
               </ul>
            </div>
            <div class="btn-group">
               {if="$fsc->allow_delete"}
               <a href="#" id="b_eliminar_familia" class="btn btn-sm btn-danger">
                  <span class="glyphicon glyphicon-trash"></span>
                  <span class="hidden-xs hidden-sm">&nbsp; Eliminar</span>
               </a>
               {/if}
               <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
               </button>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-8">
            <div class="form-group">
               Descripción:
               <input class="form-control" type="text" name="descripcion" value="{$fsc->familia->descripcion}" autocomplete="off"/>
            </div>
         </div>
         <div class="col-sm-4">
            <div class="form-group">
               Categoria principal:
               <select name="madre" class="form-control">
                  <option value="---">Ninguna</option>
                  <option value="---">-----</option>
                  {loop="$fsc->familia->all()"}
                     {if="$value->codfamilia==$fsc->familia->codfamilia"}
                     {elseif="$value->madre==$fsc->familia->codfamilia"}
                     {elseif="$fsc->familia->madre==$value->codfamilia"}
                     <option value="{$value->codfamilia}" selected="">{$value->nivel}{$value->descripcion}</option>
                     {else}
                     <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                     {/if}
                  {/loop}
               </select>
            </div>
         </div>
      </div>
   </div>
</form>

<div role="tabpanel">
   <ul class="nav nav-tabs" role="tablist">
      <li role="presentation" class="active">
         <a href="#home" aria-controls="home" role="tab" data-toggle="tab">
            Artículos
            <span class="hidden-xs badge">{$fsc->total_familia()}</span>
         </a>
      </li>
      {loop="$fsc->extensions"}
         {if="$value->type=='tab'"}
         <li role="presentation">
            <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
         </li>
         {/if}
      {/loop}
   </ul>
   <div class="tab-content">
      <div role="tabpanel" class="tab-pane active" id="home">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Referencia + Descripción</th>
                     <th class="text-left">Fabricante</th>
                     <th class="text-right">Coste</th>
                     <th class="text-right">Precio</th>
                     <th class="text-right">Stock</th>
                     <th class="text-right"></th>
                  </tr>
               </thead>
               {loop="$fsc->articulos"}
               <tr class='clickableRow{if="$value->bloqueado"} danger{elseif="$value->stockfis<=$value->stockmin"} warning{/if}' href='{$value->url()}'>
                  <td>
                     {$img=$value->imagen_url()}
                     {if="$img"}
                     <a href="{$value->url()}" data-toggle="popover" data-html="true" data-img="{$img}">{$value->referencia}</a>
                     {else}
                     <a href="{$value->url()}">{$value->referencia}</a>
                     {/if}
                     {$value->descripcion()}
                  </td>
                  <td>
                     {if="is_null($value->codfabricante)"}<span>-</span>{else}{$value->codfabricante}{/if}
                  </td>
                  <td class="text-right">{$fsc->show_precio($value->preciocoste(), FALSE, TRUE, FS_NF0_ART)}</td>
                  <td class="text-right">
                     <span title="actualizado el {$value->factualizado}">{$fsc->show_precio($value->pvp, FALSE, TRUE, FS_NF0_ART)}</span>
                  </td>
                  <td class="text-right">{$value->stockfis}</td>
                  <td class="text-right">
                     {if="$value->tipo"}
                     <span class="glyphicon glyphicon-list-alt" aria-hidden="true" title="Artículo tipo: {$value->tipo}"></span>
                     {/if}
                     {if="$value->trazabilidad"}
                     <i class="fa fa-code-fork" aria-hidden="true" title="Trazabilidad activada"></i>
                     {/if}
                     {if="$value->publico"}
                     <span class="glyphicon glyphicon-globe" aria-hidden="true" title="Artículo público"></span>
                     {/if}
                  </td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="6">Ningún artículo encontrado.</td>
               </tr>
               {/loop}
            </table>
         </div>
         <ul class="pager">
            {if="$fsc->anterior_url()!=''"}
            <li class="previous">
               <a href="{$fsc->anterior_url()}">
                  <span class="glyphicon glyphicon-chevron-left"></span> &nbsp; Anteriors
               </a>
            </li>
            {/if}

            {if="$fsc->siguiente_url()!=''"}
            <li class="next">
               <a href="{$fsc->siguiente_url()}">
                  Siguientes &nbsp; <span class="glyphicon glyphicon-chevron-right"></span>
               </a>
            </li>
            {/if}
         </ul>
      </div>
      {loop="$fsc->extensions"}
         {if="$value->type=='tab'"}
         <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
            <iframe src="index.php?page={$value->from}{$value->params}&cod={$fsc->familia->codfamilia}" width="100%" height="600" frameborder="0"></iframe>
         </div>
         {/if}
      {/loop}
   </div>
</div>

{else}
<div class="container-fluid">
   <div class="row">
      <div class="col-sm-6 col-sm-offset-3">
         <div class="thumbnail">
            <img src="view/img/fuuu_face.png" alt="fuuuuu"/>
         </div>
      </div>
   </div>
</div>
{/if}

{include="footer"}
